/* Copyright (c) 2012 The Chromium Authors. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 */

/**
 * This file defines the struct for filesystem providers.
 */

[assert_size(20)]
enum PP_ProviderError_Dev {
	PP_ProviderError_OK,
	PP_ProviderError_FAILED,
	PP_ProviderError_IN_USE,
	PP_ProviderError_EXISTS,
	PP_ProviderError_NOT_FOUND,
	PP_ProviderError_ACCESS_DENIED,
	PP_ProviderError_TOO_MANY_OPENED,
	PP_ProviderError_NO_MEMORY,
	PP_ProviderError_NO_SPACE,
	PP_ProviderError_NOT_A_DIRECTORY,
	PP_ProviderError_INVALID_OPERATION,
	PP_ProviderError_SECURITY,
	PP_ProviderError_ABORT,
	PP_ProviderError_NOT_A_FILE,
	PP_ProviderError_NOT_EMPTY,
	PP_ProviderError_INVALID_URL,
	PP_ProviderError_IO
};

[assert_size(4)]
enum PP_OpenFileMode_Dev {
	PP_OpenFileMode_READ,
	PP_OpenFileMode_WRITE
};

[assert_size(4)]
enum PP_ChangeType_Dev {
	PP_ChangeType_CHANGED,
	PP_ChangeType_DELETED
};

[assert_size(20)]
struct PP_EntryMetadata_Dev{
	PP_Bool isDirectory;
	PP_Var  name;
	uint64_t size;
	PP_Var  modificationTime;
	PP_Var  mimeType;
	PP_Var  thumbnail;
};


